phpCAS version 1.3.6

Public Member Functions | Private Attributes | List of all members
CAS_ProxyChain_AllowedList Class Reference

## Public Member Functions
| isProxyingAllowed ()
| allowProxyChain (CAS_ProxyChain_Interface $chain)
| isProxyListAllowed (array $proxies)
| contains (array $list)

## Private Attributes
| $_chains = array()

## Detailed Description

ProxyChain is a container for storing chains of valid proxies that can be used to validate proxied requests to a service

Definition at line 43 of file AllowedList.php.

## Member Function Documentation

## ◆ allowProxyChain()

CAS_ProxyChain_AllowedList::allowProxyChain | ( | CAS_ProxyChain_Interface | $chain | ) |

Add a chain of proxies to the list of possible chains

Parameters

  CAS_ProxyChain_Interface | $chain | A chain of proxies

Returns
  void

Definition at line 65 of file AllowedList.php.

## ◆ contains()

CAS_ProxyChain_AllowedList::contains | ( | array | $list | ) |

Validate the proxies from the proxy ticket validation against the chains that were definded.

Parameters

  array | $list | List of proxies from the proxy ticket validation.

Returns
  if any chain fully matches the supplied list

Definition at line 103 of file AllowedList.php.

References phpCAS\trace(), phpCAS\traceBegin(), and phpCAS\traceEnd().

Referenced by isProxyListAllowed().

## ◆ isProxyingAllowed()

CAS_ProxyChain_AllowedList::isProxyingAllowed | ( |  | ) |

Check whether proxies are allowed by configuration

Returns
  bool

Definition at line 53 of file AllowedList.php.

Referenced by isProxyListAllowed().

## ◆ isProxyListAllowed()

CAS_ProxyChain_AllowedList::isProxyListAllowed | ( | array | $proxies | ) |

Check if the proxies found in the response match the allowed proxies

Parameters

  array | $proxies | list of proxies to check

Returns
  bool whether the proxies match the allowed proxies

Definition at line 77 of file AllowedList.php.

References contains(), isProxyingAllowed(), phpCAS\trace(), phpCAS\traceBegin(), and phpCAS\traceEnd().

## Member Data Documentation

## ◆ $_chains

CAS_ProxyChain_AllowedList::$_chains = array()
| private

Definition at line 46 of file AllowedList.php.